Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.resultsummary
Class AbstractBuildResultsSummary

    java.lang.Object
      EntityObject
          com.atlassian.bamboo.core.BambooEntityObject
              com.atlassian.bamboo.resultsummary.AbstractBuildResultsSummary

All Implemented Interfaces:
  BambooObject, BuildResultsSummary, ResultStatisticsProvider, Comparable

Direct Known Subclasses:
  BuildResultsSummaryDocument, BuildResultsSummaryImpl, LegacyBuildResultsSummaryImpl

    public abstract class AbstractBuildResultsSummary

extends BambooEntityObject
implements BuildResultsSummary, Comparable

Field Summary

Fields inherited from class com.atlassian.bamboo.core.BambooEntityObject
`id`

Constructor Summary
`AbstractBuildResultsSummary()`

Method Summary
`protected String` | `createChangedByAuthors(Set updators)`
`String` | `getBuildResultKey()`
`String` | `getBuildTime()` When was the build?
`String` | `getDurationDescription()`
`String` | `getReasonSummary()`
`String` | `getRelativeBuildDate()`
`String` | `getRelativeBuildDate(Date comparedTo)` Provides a relative build date, such as 2 hours ago.
`String` | `getTestSummary()`
`boolean` | `isFailed()`
`boolean` | `isSuccessful()`

Methods inherited from class com.atlassian.bamboo.core.BambooEntityObject
`getId, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.resultsummary.BuildResultsSummary
`getBuildCompletedDate, getBuildKey, getChangedByAuthors, getComments, getCustomBuildData, getDeltaState, getDuration, getFailedBuildCount, getId, getJiraIssueKeys, getLabellings, getLabelNames, getReasonForBuild, getSuccessfulBuildCount, getTimeToFix`

Methods inherited from interface com.atlassian.bamboo.resultsummary.ResultStatisticsProvider
`getBuildDate, getBuildNumber, getBuildState, getDurationInSeconds`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### AbstractBuildResultsSummary

    public AbstractBuildResultsSummary()

Method Detail

### getBuildResultKey

    public String getBuildResultKey()

  Specified by:
    `getBuildResultKey` in interface `BuildResultsSummary`

### getDurationDescription

    public String getDurationDescription()

  Specified by:
    `getDurationDescription` in interface `BuildResultsSummary`

### getRelativeBuildDate

    public String getRelativeBuildDate()

  Specified by:
    `getRelativeBuildDate` in interface `BuildResultsSummary`

### getRelativeBuildDate

    public String getRelativeBuildDate(Date comparedTo)

  Provides a relative build date, such as 2 hours ago.

  Specified by:
    `getRelativeBuildDate` in interface `BuildResultsSummary`
  Returns:
    The relative date

### createChangedByAuthors

    protected String createChangedByAuthors(Set updators)

### getReasonSummary

    public String getReasonSummary()

  Specified by:
    `getReasonSummary` in interface `BuildResultsSummary`

### getTestSummary

    public String getTestSummary()

  Specified by:
    `getTestSummary` in interface `BuildResultsSummary`

### isFailed

    public boolean isFailed()

  Specified by:
    `isFailed` in interface `BuildResultsSummary`

### isSuccessful

    public boolean isSuccessful()

  Specified by:
    `isSuccessful` in interface `BuildResultsSummary`

### getBuildTime

    public String getBuildTime()

  When was the build?

  Specified by:
    `getBuildTime` in interface `BuildResultsSummary`
  Returns:
    The date and time of the build.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.